baselineAlgResult-class {baseline} | R Documentation

## Class "baselineAlgResult"

### Description

A class describing the result of a baseline algorithm test

### Objects from the Class

Objects are typically created by running `runTest` on a `baselineAlgTest` object.

### Slots

`param`:

  A named list with the parameter values that were tested. This includes both the predictor parameters and the baseline algorithm parameters. All combinations of values are tested.

`qualMeas`:

  A matrix of quality measure values for the different combinations of parameter values. Each row corresponds to one prediction parameter value, and each coloumn to one combination of baseline parameters.

`qualMeas.ind.min`:

  The index in `qualMeas` of the minimum quality measure value

`minQualMeas`:

  The minimum quality measure value

`param.ind.min`:

  A vector of indices into the elemets of `param` of the parameter values corresponding to the minimum quality measure value

`param.min`:

  A list of the parameter values corresponding to the minimum quality measure value

`qualMeasName`:

  The name of the quality measure

### Methods

minQualMeas

  `signature(object = "baselineAlgResult")`: Extract the `minQualMeas` slot

param

  `signature(object = "baselineAlgResult")`: Extract the `param` slot

param.ind.min

  `signature(object = "baselineAlgResult")`: Extract the `param.ind.min` slot

param.min

  `signature(object = "baselineAlgResult")`: Extract the `param.min` slot

qualMeas

  `signature(object = "baselineAlgResult")`: Extract the `qualMeas` slot

qualMeas.ind.min

  `signature(object = "baselineAlgResult")`: Extract the `qualMeas.ind.min` slot

qualMeasName

  `signature(object = "baselineAlgResult")`: Extract the `qualMeasName` slot

### Author(s)

Bjørn-Helge Mevik and Kristian Hovde Liland

### See Also

Class `baselineAlgTest`, function `runTest`.

### Examples

    showClass("baselineAlgResult")

[Package baseline version 1.2-1 Index]